mconv_encode_stream(3m17n)

NAME
mconv_encode_stream - Encode an M-text to write to a stream.

SYNOPSIS
int mconv_encode_stream (MSymbol name, MText * mt, FILE * fp)

DESCRIPTION
Encode an M-text to write to a stream.

The mconv_encode_stream() function encodes M-text mt based on coding system name and writes the resulting byte sequence to stream fp. A temporary code converter for encoding is automatically created and freed.

RETURN VALUE

    If the operation was successful, mconv_encode_stream() returns the number of written bytes. Otherwise it returns -1 and assigns an error code to the external variable merror_code.

ERRORS

    MERROR_IO, MERROR_CODING

SEE ALSO

    mconv_encode(), mconv_encode_buffer(), mconv_encode_file()

COPYRIGHT
Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2008 National Institute of Advanced Industrial Science and Technology (AIST)
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License <http://www.gnu.org/licenses/fdl.html>.